admin_site/urls.py
from django.conf.urls import url, include
from django.views.generic.base import TemplateView

from admin_site.dashboard import *
from admin_site.repairshop import *
from admin_site.service import *
from admin_site.users import *

urlpatterns = [
    url(r'^$', view=dashboard, name="dashboard"),

    # Service Order Admin Panel
    url(r'profile/$', view=profile, name="profile"),
    url(r'user_list/$', view=users_list, name="users_list"),
    url(r'user_list/create/$', view=user_create, name="user_create"),
    url(r'user_list/edit/(?P<id>[0-9]+)/$', view=user_edit, name="user_edit"),
    url(r'user_list/delete/(?P<id>[0-9]+)/$', view=user_delete, name="user_delete"),

    # Service Type Admin Panel
    url(r'service-type/$', view=service_type_list, name="service_type_list"),
    url(r'service-type/create/$', view=service_type_create, name="service_type_create"),
    url(r'service-type-edit/(?P<id>[0-9]+)/$', view=service_type_edit, name="service_type_edit"),
    url(r'service-type-delete/(?P<id>[0-9]+)/$', view=service_type_delete, name="service_type_delete"),

    # Service Order Admin Panel
    url(r'service-order/$', view=service_order_list, name="service_order_list"),
    url(r'service-order/create/$', view=service_order_create, name="service_order_create"),
    url(r'service-order-edit/(?P<id>[0-9]+)/$', view=service_order_edit, name="service_order_edit"),
    url(r'service-order-delete/(?P<id>[0-9]+)/$', view=service_order_delete, name="service_order_delete"),

    # Repair Shop Admin Panel
    url(r'repair-shop-update/$', view=repair_shop_update, name="repair_shop_update"),


    url(r'repair-shop-days/$', view=repair_shop_days, name="repair_shop_days"),
    url(r'timing_create/$', view=timing_create, name="timing_create"),
    url(r'timing_update/(?P<id>[0-9]+)/$', view=timing_update, name="timing_update"),
    url(r'timing_delete/(?P<id>[0-9]+)/$', view=timing_delete, name="timing_delete"),

    #
    # #SEO Optimization
    # url(r'optimizations/',name="optimizations_list"),
    # url(r'optimizations/create/',name="optimizations_create"),
    # url(r'optimizations/edit/(?P<id>[0-9]+)/',name="optimizations_edit"),
    # url(r'optimizations/delete/(?P<id>[0-9]+)/',name="optimizations_delete"),

    #
]

webteaker/urls.py
from __future__ import absolute_import, print_function, unicode_literals

from allauth.socialaccount.providers import paypal
from django.conf import settings
from django.conf.urls import include, url
from django.conf.urls.i18n import i18n_patterns
from django.contrib import admin
from django.contrib.sitemaps.views import sitemap
from django.contrib.staticfiles.urls import staticfiles_urlpatterns
from django.views.static import serve
from django.conf.urls import url, include
from django.contrib import admin
from src.service import *
from src.views import *

admin.autodiscover()


urlpatterns = [
    url(r'^admin/', include('admin_site.urls',namespace="admin_site")),
    url(r'^account/', include('allauth.urls')),
    url(r'^admin-bk/', admin.site.urls),
    url(r'^$',view=home,name="home"),



    url(r'^services/$',view=services,name="services"),

    url(r'appointment/create/$',view=appointment_create,name="appointment_create"),

    url(r'^about-us/$', view=about_us, name="about_us"),
    url(r'^gallery/$', view=gallery, name="gallery"),
    url(r'^contact-us/$', view=contact_us, name="contact_us"),
    url(r'^payments/$', view=payments, name="payments"),
]

handler404=error_404

admin_site/models.py
from django.contrib.auth.models import User
from django.contrib.sites.models import Site as DjangoSite
from django.db import models

# Create your models here.
from django.db.models import DateField
from django.views.generic.dates import DayMixin

from admin_site.choices import *


class RepairShop(models.Model):
    name=models.CharField(max_length=60,default="")
    facebook=models.URLField(blank=True)
    instagram=models.URLField(blank=True)
    twitter=models.URLField(blank=True)
    google=models.URLField(blank=True)
    email=models.EmailField(blank=False,null=False)
    phone=models.CharField(max_length=15,blank=False,null=False)
    address=models.CharField(max_length=200)


class OpenClose(models.Model):
    day = models.CharField(max_length=20, blank=False, null=False, unique=True)
    from_time = models.TimeField(auto_created=True, blank=True, null=True)
    to_time = models.TimeField(auto_created=True, blank=True, null=True)
    closed=models.BooleanField(default=False)

    def __str__(self):
        return self.day
    # shop=models.ForeignKey(RepairShop)

class Review(models.Model):
    name=models.CharField(max_length=60)
    address=models.CharField(max_length=200)
    day=models.DateField(auto_now_add=True)
    message=models.TextField(max_length=2000)

#
class WebtweakerSites(DjangoSite):
    users=models.ManyToManyField(User)

admin_site/forms.py
from django import forms
from django.contrib.auth.models import User
from django.forms import ModelForm, Select

from admin_site.choices import days
from admin_site.models import RepairShop, OpenClose
from src.models import ServiceType

class ServiceTypeForm(forms.ModelForm):

    class Meta:
        model=ServiceType
        fields=['name','description']

class UsersForm(forms.ModelForm):
    password=forms.CharField(widget=forms.PasswordInput())
    confirm_password=forms.CharField(widget=forms.PasswordInput())

    class Meta:
        model=User
        fields=['username','email','password','confirm_password','first_name','last_name','is_active','is_superuser']
        labels={
            'is_active':'Admin',
            'is_superuser':'Super Admin'
        }

    def __init__(self,*args,**kwargs):
        super(UsersForm,self).__init__(*args,**kwargs)
        self.fields['email'].required = True

    def clean(self):
        cleaned_data=super(UsersForm,self).clean()
        password=cleaned_data.get("password")
        confirm_password=cleaned_data.get("confirm_password")

        if password!=confirm_password:
            raise forms.ValidationError(
                "Password and confirm password does not match"
            )

class ProfileForm(forms.ModelForm):

    class Meta:
        model=User
        fields=['username','first_name','last_name']

class ShopOpenCloseForm(forms.ModelForm):
    day=forms.ChoiceField(choices=days,widget=forms.Select(attrs={'class':'mdb-select'}))

    class Meta:
        model=OpenClose
        fields=['day','from_time','to_time','closed']
        widgets={
            'from_time':forms.TimeInput(attrs={'class':'timepicker form-control'}),
            'to_time':forms.TimeInput(attrs={'class':'timepicker form-control'}),
        }
        labels={
            'from_time':'From',
            'to_time':'To'
        }

class RepairShopUpdateForm(forms.ModelForm):
    class Meta:
        model=RepairShop
        fields=['name','email','address','phone','facebook','instagram','twitter','google']

admin_site/views.py
from django.shortcuts import render

# Create your views here.

webteaker/templates/admin_site/base.html
{% load static staticfiles %}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>{% block title %}Dashboard{% endblock %}</title>
    <!-- Font Awesome -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
    <!-- Bootstrap core CSS -->
    <link rel="stylesheet" href="{% static 'admin_site/css/bootstrap.min.css' %}">
    <!-- Material Design Bootstrap -->
    <link rel="stylesheet" href="{% static 'admin_site/css/mdb.css' %}">
    <link rel="stylesheet" href="{% static 'admin_site/css/admin-style.css' %}">
</head>

<body class="fixed-sn white-skin">


<!--Main Navigation-->
<header>

    <!-- Sidebar navigation -->
    <div id="slide-out" class="side-nav sn-bg-4 fixed" style="transform: translateX(0%);">

        <ul class="custom-scrollbar ps ps--theme_default" data-ps-id="0065b5c1-1f76-fcc6-3dd0-7ab80d44ae91">
            <!-- Logo -->
            <li class="logo-sn waves-effect">
                <div class="text-center">
                    <a href="#" class="pl-0"><img src="{% static 'admin_site/img/logo.svg' %}"
                                                  class="logo-admin m-auto"></a>
                </div>
            </li>
            <!--/. Logo -->
            {% if user.is_authenticated %}
                <li>
                    <ul class="collapsible collapsible-accordion">
                        <li><a class="collapsible-header waves-effect arrow-r"><i class="fa fa-tachometer"></i>Appointments
                            and Services<i
                                    class="fa fa-angle-down rotate-icon"></i></a>
                            <div class="collapsible-body">
                                <ul>
                                    <li>
                                        <a href="{% url 'admin_site:service_type_list' %}"
                                           class="waves-effect">Service Types</a>
                                    </li>
                                    <li>
                                        <a href="{% url 'admin_site:service_order_list' %}"
                                           class="waves-effect">Appointments List</a>
                                    </li>
                                </ul>
                            </div>
                        </li>
                    </ul>
                </li>
                {% if user.is_superuser %}
                    <li>
                        <ul class="collapsible collapsible-accordion">
                            <li><a class="collapsible-header waves-effect arrow-r"
                                   href="{% url 'admin_site:users_list' %}"><i class="fa fa-user"></i>User
                                Management</a></li>
                        </ul>
                    </li>
                <li>
                    <ul class="collapsible collapsible-accordion">
                        <li><a class="collapsible-header waves-effect arrow-r"><i class="fa fa-building"></i>Repair Shop<i
                                class="fa fa-angle-down rotate-icon"></i></a>
                            <div class="collapsible-body">
                                <ul>
                                    <li>
                                        <a href="{% url 'admin_site:repair_shop_update' %}"
                                           class="waves-effect">General Information</a>
                                    </li>
                                    <li>
                                        <a href="{% url 'admin_site:repair_shop_days' %}"
                                           class="waves-effect">Open/Close Times</a>
                                    </li>

                                    {#                                <li>#}
                                    {#                                    <a href="{% url 'admin_site:service_order_list' %}"#}
                                    {#                                       class="waves-effect">Appointments List</a>#}
                                    {#                                </li>#}
                                </ul>
                            </div>
                        </li>
                    </ul>
                </li>
                {% endif %}
                <!--/. Side navigation links -->
                <div class="ps__scrollbar-x-rail" style="left: 0px; bottom: 0px;">
                    <div class="ps__scrollbar-x" tabindex="0" style="left: 0px; width: 0px;"></div>
                </div>
                <div class="ps__scrollbar-y-rail" style="top: 0px; right: 0px;">
                    <div class="ps__scrollbar-y" tabindex="0" style="top: 0px; height: 0px;"></div>
                </div>
            {% endif %}
        </ul>
        <div class="sidenav-bg mask-strong"></div>
    </div>
    <!--/. Sidebar navigation -->

    <!-- Navbar -->
    <nav class="navbar fixed-top navbar-expand-lg scrolling-navbar double-nav">
        <!-- SideNav slide-out button -->
        <div class="float-left">
            <a href="#/previews/templates/admin-dashboard/html/dashboards/v-1.html#" data-activates="slide-out"
               class="button-collapse black-text"><i class="fa fa-bars"></i></a>
        </div>

        <!--Navbar links-->
        <ul class="nav navbar-nav nav-flex-icons ml-auto">

            <!-- Dropdown -->
            {#            <li class="nav-item dropdown notifications-nav">#}
            {#                <a class="nav-link dropdown-toggle waves-effect" id="navbarDropdownMenuLink" data-toggle="dropdown"#}
            {#                   aria-haspopup="true" aria-expanded="false">#}
            {#                    <span class="badge red">3</span> <i class="fa fa-bell"></i>#}
            {#                    <span class="d-none d-md-inline-block">Notifications</span>#}
            {#                </a>#}
            {#                <div class="dropdown-menu dropdown-info" aria-labelledby="navbarDropdownMenuLink">#}
            {#                    <a class="dropdown-item waves-effect waves-light"#}
            {#                       href="#/previews/templates/admin-dashboard/html/dashboards/v-1.html#">#}
            {#                        <i class="fa fa-money mr-2" aria-hidden="true"></i>#}
            {#                        <span>New order received</span>#}
            {#                        <span class="float-right"><i class="fa fa-clock-o" aria-hidden="true"></i> 13 min</span>#}
            {#                    </a>#}
            {#                </div>#}
            {#            </li>#}
            {#            <li class="nav-item">#}
            {#                <a class="nav-link waves-effect"><i class="fa fa-envelope"></i> <span#}
            {#                        class="clearfix d-none d-sm-inline-block">Contact</span></a>#}
            {#            </li>#}
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle waves-effect"
                   href="{% url 'admin_site:profile' %}" id="userDropdown"
                   data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    <i class="fa fa-user"></i> <span class="clearfix d-none d-sm-inline-block">Profile</span></a>

                <div class="dropdown-menu dropdown-menu-right" aria-labelledby="userDropdown">
                    <a class="dropdown-item waves-effect waves-light"
                       href="{% url 'account_logout' %}">Log Out</a>
                    <a class="dropdown-item waves-effect waves-light"
                       href="{% url 'admin_site:profile' %}">My account</a>
                </div>
            </li>
        </ul>
        <!--/Navbar links-->

    </nav>
    <!-- /.Navbar -->

    {#    <!-- Fixed button -->#}
    {#    <div class="fixed-action-btn clearfix d-none d-xl-block" style="bottom: 45px; right: 24px;">#}
    {#        <a class="btn-floating btn-lg red waves-effect waves-light">#}
    {#            <i class="fa fa-pencil"></i>#}
    {#        </a>#}
    {##}
    {#        <ul class="list-unstyled">#}
    {#            <li><a class="btn-floating red waves-effect waves-light"><i class="fa fa-star"></i></a></li>#}
    {#            <li><a class="btn-floating yellow darken-1 waves-effect waves-light"><i class="fa fa-user"></i></a></li>#}
    {#            <li><a class="btn-floating green waves-effect waves-light"><i class="fa fa-envelope"></i></a></li>#}
    {#            <li><a class="btn-floating blue waves-effect waves-light"><i class="fa fa-shopping-cart"></i></a></li>#}
    {#        </ul>#}
    {#    </div>#}
    {#    <!-- Fixed button -->#}

</header>
<!--Main Navigation-->

<!--Main layout-->
<main>
    <div class="container-fluid">
        {% block container %}

        {% endblock %}
    </div>
</main>
<!--Main layout-->


<!-- SCRIPTS -->
<!-- JQuery -->
<script src="{% static 'admin_site/js/jquery-3.2.1.min.js' %}"></script>
<!-- Bootstrap tooltips -->
<script type="text/javascript" src="{% static 'admin_site/js/popper.min.js' %}"></script>
<!-- Bootstrap core JavaScript -->
<script type="text/javascript" src="{% static 'admin_site/js/bootstrap.js' %}"></script>
<!-- MDB core JavaScript -->
<script type="text/javascript" src="{% static 'admin_site/js/mdb.min.js' %}"></script>
<!--Initializations-->
<script>
    // SideNav Initialization
    $(".button-collapse").sideNav();

    var container = document.querySelector('.custom-scrollbar');
    Ps.initialize(container, {
        wheelSpeed: 2,
        wheelPropagation: true,
        minScrollbarLength: 20
    });
    // Material Select Initialization
    $(document).ready(function () {
        $('.mdb-select').material_select();
        $('.datepicker').pickadate();
        $('.timepicker').pickatime();
    });

    // Tooltips Initialization
    $(function () {
        $('[data-toggle="tooltip"]').tooltip()
    })
</script>

{% block custom_js %}

{% endblock %}
</body>
</html>

webteaker/templates/admin_site/domain-hosting.html
{% extends "admin_site/base.html" %}
{% load static staticfiles %}
{% block container %}
        <div class="row">

                <div class="col-lg-6 col-md-12">

                    <!--Panel-->
                    <div class="card mb-4">
                        <div class="card-header white-text primary-color">
                            Domain & Hosting List
                        </div>
                        <div class="card-body">
                            <div class="row mb-1">
                                <div class="col-6">
                                    <small class="grey-text">Domain Name</small>
                                    <h4>xyz</h4>
                                </div>
                                <div class="col-6">
                                    <small class="grey-text">Hosting  Package</small>
                                    <h4>100 GB</h4>
                                </div>

                            </div>
                            <div class="row mb-1">
                              <div class="col-6">
                                    <small class="grey-text">Domain Name</small>
                                    <h4>xyz</h4>
                                </div>
                                <div class="col-6">
                                    <small class="grey-text">Hosting  Package</small>
                                    <h4>100 GB</h4>
                                </div>
                            </div>

                            <div class="row mb-1">
                               <div class="col-6">
                                    <small class="grey-text">Domain Name</small>
                                    <h4>xyz</h4>
                                </div>
                                <div class="col-6">
                                    <small class="grey-text">Hosting  Package</small>
                                    <h4>100 GB</h4>
                                </div>
                            </div>

                        </div>
                    </div>
                    <!--/.Panel-->

                </div>

                <!-- /.Second row -->

            </div>
{% endblock %}